From 35d69097cc4f49c00523469c788f3b3fd963684c Mon Sep 17 00:00:00 2001
From: yury <yury>
Date: Fri, 13 May 2005 13:16:04 +0000
Subject: [PATCH] - fixes in sanity tests about using mount command. cat
 /proc/mounts is used instead

---
 lustre/tests/sanity-cmobd.sh | 2 +-
 lustre/tests/sanity-fid.sh   | 2 +-
 lustre/tests/sanity-lmv.sh   | 2 +-
 lustre/tests/sanity-sec.sh   | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/lustre/tests/sanity-cmobd.sh b/lustre/tests/sanity-cmobd.sh
index 568b80512a..3ad20caf8f 100644
--- a/lustre/tests/sanity-cmobd.sh
+++ b/lustre/tests/sanity-cmobd.sh
@@ -86,7 +86,7 @@ check_kernel_version() {
 }
 
 run_one() {
-	if ! mount | grep -q $DIR; then
+	if ! cat /proc/mounts | grep -q $DIR; then
 		$START
 	fi
 	echo $PTLDEBUG >/proc/sys/portals/debug	
diff --git a/lustre/tests/sanity-fid.sh b/lustre/tests/sanity-fid.sh
index 9844d4e05a..72942c7d10 100644
--- a/lustre/tests/sanity-fid.sh
+++ b/lustre/tests/sanity-fid.sh
@@ -96,7 +96,7 @@ check_kernel_version() {
 }
 
 run_one() {
-	if ! mount | grep -q $DIR; then
+	if ! cat /proc/mounts | grep -q $DIR; then
 		$START
 	fi
 	echo $PTLDEBUG >/proc/sys/portals/debug	
diff --git a/lustre/tests/sanity-lmv.sh b/lustre/tests/sanity-lmv.sh
index 8e0a86e7de..e31e0457c3 100644
--- a/lustre/tests/sanity-lmv.sh
+++ b/lustre/tests/sanity-lmv.sh
@@ -103,7 +103,7 @@ check_kernel_version() {
 }
 
 run_one() {
-	if ! mount | grep -q $DIR; then
+	if ! cat /proc/mounts | grep -q $DIR; then
 		$START
 	fi
 	echo $PTLDEBUG >/proc/sys/portals/debug	
diff --git a/lustre/tests/sanity-sec.sh b/lustre/tests/sanity-sec.sh
index d8a5598733..73d2830b86 100644
--- a/lustre/tests/sanity-sec.sh
+++ b/lustre/tests/sanity-sec.sh
@@ -98,7 +98,7 @@ check_kernel_version() {
 }
 
 run_one() {
-	if ! mount | grep -q $DIR; then
+	if ! cat /proc/mounts | grep -q $DIR; then
 		$START
 	fi
 	echo -1 >/proc/sys/portals/debug	
-- 
GitLab